| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::Memory::HeapAccessPointer< HeapContainer > Struct Template Reference

Heap accessor for AllocatorHeapBase. More...

`#include <csutil/memheap.h>`

List of all members.

## Public Member Functions
void * | Alloc (const size_t n)
void | Free (void *p)
const HeapContainer & | GetHeap ()
void * | Realloc (void *p, size_t newSize)
## Public Attributes
HeapContainer | heap

## Detailed Description

### template<class HeapContainer = Heap*>
struct CS::Memory::HeapAccessPointer< HeapContainer >

Heap accessor for AllocatorHeapBase.

The `HeapContainer` template argument should behave like a pointer to an object of type Heap* or compatible interface.

Definition at line 164 of file memheap.h.

The documentation for this struct was generated from the following file:

- csutil/memheap.h